<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <AssemblyName>Supernova.Foundation.Core</AssemblyName>
    <RootNamespace>Supernova.Foundation.Core</RootNamespace>
    <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
    <PackageRequireLicenseAcceptance>true</PackageRequireLicenseAcceptance>
    <Version>0.10.0</Version>
    <Authors>Nicolas Maurice</Authors>
    <Company />
    <Copyright>Copyright 2019 – All Rights Reserved</Copyright>
    <PackageIconUrl>https://nmaurice.com/wp-content/uploads/2019/01/supernova.png</PackageIconUrl>
    <PackageReleaseNotes>**0.10.0** — Add possibility to ignore order in `SequenceContentEqualityComparer`

**0.9.0** — Add inequality comparison guard methods

**0.8.0** — Add MoveToParentDirectory file helper and DirectoryExist guard

**0.7.0** — Add random bool generation

**0.6.0** — Add WriteAllTextIncrement

**0.5.0** — Add case string extensions

**0.4.0** — Add type guard

**0.3.0** — Add basic stringification

**0.2.0-alpha.1** — Add ObservableStack and FileHelper

**0.1.0-alpha.3** — Add years range producer

**0.1.0-alpha.2** — Add `HasDuplicates` enumerable extension method

**0.1.0-alpha.1** — First Release</PackageReleaseNotes>
    <PackageLicenseFile>LICENSE.txt</PackageLicenseFile>
    <RepositoryUrl>https://gitlab.com/Kamakiri/Supernova/Foundation</RepositoryUrl>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>D:\dev\Kamakiri\Supernova\Foundation\Core\Supernova.Foundation.Core.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>D:\dev\Kamakiri\Supernova\Foundation\Core\Supernova.Foundation.Core.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\LICENSE.txt">
      <Pack>True</Pack>
      <PackagePath></PackagePath>
    </None>
  </ItemGroup>

</Project>
